diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/s_conf.h ircd-hybrid-6.0/include/s_conf.h
--- ircd-hybrid-6.0.orig/include/s_conf.h	Tue Feb 20 19:34:56 2001
+++ ircd-hybrid-6.0/include/s_conf.h	Tue Feb 20 19:12:59 2001
@@ -441,6 +441,8 @@
 extern  int     is_address(char *,unsigned long *,unsigned long *); 
 extern  int     rehash (struct Client *, struct Client *, int);
 
+extern char *libshadow_md5_crypt(const char *, const char *) ;
+
 
 #endif /* INCLUDED_s_conf_h */
 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_makepass.c ircd-hybrid-6.0/src/m_makepass.c
--- ircd-hybrid-6.0.orig/src/m_makepass.c	Tue Feb 20 19:34:53 2001
+++ ircd-hybrid-6.0/src/m_makepass.c	Tue Feb 20 19:06:06 2001
@@ -34,6 +34,7 @@
 #include "channel.h"
 #include "irc_string.h"
 #include "s_debug.h"
+#include <stdlib.h>
 
 /*
  * m_functions execute protocol messages on this server:
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_stats.c ircd-hybrid-6.0/src/m_stats.c
--- ircd-hybrid-6.0.orig/src/m_stats.c	Tue Feb 20 19:34:59 2001
+++ ircd-hybrid-6.0/src/m_stats.c	Tue Feb 20 18:52:32 2001
@@ -137,7 +137,6 @@
   int             ignore_request = 0;
   int             valid_stats = 0;
   char*           name;
-  static time_t   last_used = 0;
 
   if(!IsClient(sptr))
     {
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_stopic.c ircd-hybrid-6.0/src/m_stopic.c
--- ircd-hybrid-6.0.orig/src/m_stopic.c	Tue Feb 20 19:34:54 2001
+++ ircd-hybrid-6.0/src/m_stopic.c	Tue Feb 20 18:55:18 2001
@@ -36,6 +36,7 @@
 #include "send.h"
 #include "list.h"
 #include "irc_string.h"
+#include <stdlib.h>
 
 /*
  * m_functions execute protocol messages on this server:
@@ -111,7 +112,6 @@
                 char *parv[])
 {
   struct Channel *chptr = NullChn;
-  char  *topic = (char *)NULL, *name, *p = (char *)NULL;
   
   if (parc < 5)
     {
@@ -125,7 +125,7 @@
       return(0);
     }
 #ifdef TOPIC_INFO
-  if (chptr = hash_find_channel(parv[1], NullChn))
+  if ((chptr = hash_find_channel(parv[1], NullChn)))
     {
       time_t topic_time = atoi(parv[3]);
       if (!topic_time || topic_time > chptr->topic_time)
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_wallops.c ircd-hybrid-6.0/src/m_wallops.c
--- ircd-hybrid-6.0.orig/src/m_wallops.c	Tue Feb 20 19:34:43 2001
+++ ircd-hybrid-6.0/src/m_wallops.c	Tue Feb 20 18:56:04 2001
@@ -98,7 +98,7 @@
 int m_wallops(struct Client *cptr, struct Client *sptr, int parc, char *parv[])
 { 
   char* message;
-  int flags;
+  int flags=0;
 
   if (parc == 3)
     {
